Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.optimization
Class QNMinimizer.Record

    java.lang.Object
      edu.stanford.nlp.optimization.QNMinimizer.Record

Enclosing class:
  QNMinimizer

    public class QNMinimizer.Record

extends Object

The Record class is used to collect information about the function value over a series of iterations. This information is used to determine convergence, and to (attempt to) ensure numerical errors are not an issue. It can also be used for plotting the results of the optimization routine.

Author:
  akleeman

Constructor Summary
`QNMinimizer.Record()`
`QNMinimizer.Record(boolean beQuiet)`
`QNMinimizer.Record(boolean beQuiet, Function monitor)`
`QNMinimizer.Record(boolean beQuiet, Function monitor, double tolerance)`
`QNMinimizer.Record(boolean beQuiet, Function monitor, double tolerance, double eps)`
`QNMinimizer.Record(boolean beQuiet, Function monitor, double tolerance, PrintWriter output)`
`QNMinimizer.Record(PrintWriter output)`

Method Summary
`void` | `add(double val, double[] grad, double[] x, int fevals)`
`double` | `howLong()` Return the time in seconds since this class was created.
`void` | `monitorX(double[] x)`
`void` | `setEPS(double eps)`
`void` | `setTOL(double tolerance)`
`void` | `shutUp()`
`void` | `start(double val, double[] grad)`
`void` | `start(double val, double[] grad, double[] x)`
`QNMinimizer.eState` | `toContinue()` This function checks for convergence through first order optimality, numerical convergence (i.e., zero numerical gradient), and also by checking the average improvement.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QNMinimizer.Record

    public QNMinimizer.Record()

### QNMinimizer.Record

    public QNMinimizer.Record(PrintWriter output)

### QNMinimizer.Record

    public QNMinimizer.Record(boolean beQuiet)

### QNMinimizer.Record

    public QNMinimizer.Record(boolean beQuiet,
                              Function monitor)

### QNMinimizer.Record

    public QNMinimizer.Record(boolean beQuiet,
                              Function monitor,
                              double tolerance)

### QNMinimizer.Record

    public QNMinimizer.Record(boolean beQuiet,
                              Function monitor,
                              double tolerance,
                              PrintWriter output)

### QNMinimizer.Record

    public QNMinimizer.Record(boolean beQuiet,
                              Function monitor,
                              double tolerance,
                              double eps)

Method Detail

### setEPS

    public void setEPS(double eps)

### setTOL

    public void setTOL(double tolerance)

### start

    public void start(double val,
                      double[] grad)

### shutUp

    public void shutUp()

### start

    public void start(double val,
                      double[] grad,
                      double[] x)

### add

    public void add(double val,
                    double[] grad,
                    double[] x,
                    int fevals)

### monitorX

    public void monitorX(double[] x)

### toContinue

    public QNMinimizer.eState toContinue()

  This function checks for convergence through first order optimality, numerical convergence (i.e., zero numerical gradient), and also by checking the average improvement.

  Returns:
    A value of the enumeration type

    eState

    which tells the state of the optimization routine indicating whether the routine should terminate, and if so why.

### howLong

    public double howLong()

  Return the time in seconds since this class was created.

  Returns:
    The time in seconds since this class was created.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group